/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');*/

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}


app {
    position: relative;
    display: flex;
    flex-direction: column;
}

/*.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}*/


.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

    .sidebar .nav-item:first-of-type {
        padding-top: 1rem;
    }

    .sidebar .nav-item:last-of-type {
        padding-bottom: 1rem;
    }

    .sidebar .nav-item a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

    .sidebar .nav-item a.active {
        background-color: rgba(255,255,255,0.25);
        color: white;
    }

    .sidebar .nav-item a:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }


.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1200;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}


@media (min-width: 768px) 
{
/*    app {
        flex-direction: row;
    }*/

     /*Con i due seguenti blocco lo scrolling della sidebar*/
    .e-sidebar-absolute {
        position: fixed!important;
    }
    
    .e-sidebar.sidebar-menu {
        top: 42px!important;
    } 

    .sidebar {
        width: 250px;
        min-width: 250px;
        height: auto;
        min-height: 100vh;
        position: sticky;
        top: 0;
    }

/*    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 20rem !important;
        padding-right: 1.5rem !important;
	    padding-top: 1.1rem;
    }*/

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}

/*Per cambiare il colore del placeholder del dropdownlist visto che quello standard č evanescente*/
.e-ddl.e-input-group input.e-input::placeholder {
    color: green !important;
}

/*Dialoghi personalizzati*/
/*mostra i popup pių input basso rispetto alla barra dell'header della pagina'*/
.e-dialog {
    top: 30px !important;
}

.e-dialog .e-dlg-header-content .e-btn.e-dlg-closeicon-btn {
    top: 0px !important;
    color: white !important;
}

.e-dialog .e-dlg-header-content {
    background-color: #FFD300;
}

.e-dialog .e-dlg-content {
   padding-top:20px!important;
}

.e-dlg-header, .e-dlg-header * {
    color: black !important;
}

.e-icon-dlg-close {
    color: black !important;
}

.e-dialog .e-dlg-header-content + .e-dlg-content {
    padding-top: 20px !important;
    /*font-size:24px!important;*/
}

.e-dialog .e-footer-content .e-btn.e-primary {
    background: #84004B !important;
}


/*Griglie personalizzate*/
.e-grid .e-rowcell, .e-rowcell {
    font-size: 18px !important;
}

.e-grid .e-control.e-toolbar .e-tbar-btn-text {
    display: none !important;
}

/*.e-grid .e-altrow {
    background-color: #84004B!important;
}*/

#Gridriepilogo .e-altrow {
    background-color: darkgrey !important;
}

/*.e-toolbar .e-tbar-btn .e-btn-icon {
    color: white !important;
}*/

.e-tbar-btn-text {
    font-size: 14px !important;
}

.e-btn .e-btn-icon, .e-css.e-btn .e-btn-icon {
    font-size: 20px !important;
}

.e-grid .e-toolbar,
.e-grid .e-toolbar .e-toolbar-items,
.e-grid .e-toolbar .e-toolbar-items .e-toolbar-item,
.e-grid .e-toolbar .e-toolbar-items .e-toolbar-item button {
    background-color: #FFD300 !important;
    /*background-color: #A09352 !important;*/
}

.e-overlay {
    opacity: 0 !important;
}

/*.e-unboundcell {
    padding-top: unset !important;
}*/


/*end griglie*/

/*Pulsanti personalizzati */

.e-menu-wrapper .e-menu .e-menu-item .e-menu-icon, .e-menu-container .e-menu .e-menu-item .e-menu-icon
{
    color:red!important;
}

.sf-icons {
    border-radius: 50% !important;
    font-size:24px!important;
    background:white!important;
}


/*end pulsanti*/


